Summary: Filter, redirector and access controller plugin for Squid. 
Name: squidGuard
Version: 1.1.4
Release: 6mdk
Copyright: GPL
Group: System/Servers
Source0:  ftp://ftp.ost.eltele.no/pub/www/proxy/squidGuard/squidGuard-%{version}.tar.bz2
Source1:  Makefile
URL: http://www.squidguard.org
Patch0: squidGuard-%{version}.patch.bz2
BuildRoot: /var/tmp/squidguard-root
BuildRequires: BerkeleyDB-devel = 2.7.7
Requires: squid

%description
SquidGuard is a combined filter, redirector and access controller plugin for
Squid. It is free, very flexible, extremely fast, easily installed, portable.
SquidGuard can be used to 
- limit the web access for some users to a list of accepted/well known web
servers and/or URLs only. 
- block access to some listed or blacklisted web servers and/or URLs for
some users. 
- block access to URLs matching a list of regular expressions or words for
some users. 
- enforce the use of domainnames/prohibit the use of IP address in URLs. 
- redirect blocked URLs to an "intelligent" CGI based info page.
- redirect unregistered user to a registration form. 
- redirect popular downloads like Netscape, MSIE etc. to local copies. 
- redirect banners to an empty GIF.
- have different access rules based on time of day, day of the week, date
etc. 
- have different rules for different user groups. 


Neither squidGuard nor Squid can be used to 

- filter/censor/edit text inside documents 
- filter/censor/edit embeded scripting languages like JavaScript or VBscript inside HTML 


%prep

%setup -q
%patch0 -p1

%build

CFLAGS="$RPM_OPT_FLAGS" 
./configure \
	--with-db-lib=%{_libdir}/BerkeleyDB \
	--with-db-inc=%{_includedir}/BerkeleyDB \

make
#make test

%install
rm -rf $RPM_BUILD_ROOT

P=$RPM_BUILD_DIR/%{name}-%{version}
Q=$RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}

%makeinstall

strip $RPM_BUILD_ROOT/%{_bindir}/* $RPM_BUILD_ROOT/%{_bindir}/*

mkdir -p $Q/{contrib,samples,test,db/dest/adult,log}

cp -a $P/contrib/hostbyname/hostbyname $Q/contrib/
cp -a $P/contrib/sgclean/sgclean $Q/contrib/
cp -a $P/contrib/squidGuardRobot/{squidGuardRobot,RobotUserAgent.pm} $Q/contrib/

cp -a $P/samples/dest $Q/samples
cp -a $P/samples/*{.conf,.cgi} $Q/samples
cp -a $P/test/*{.expected,.conf,requests} $Q/test
cp -a $P/test/blacklist/ $Q/test
cp -a $P/test/blacklist/* $Q/db/dest/adult
cp -a %{SOURCE1} $Q/test

mv $Q/test/test1.conf $Q/test/test1.conf.bak
mv $Q/test/test2.conf $Q/test/test2.conf.bak

sed 's|logdir '$P/test'|logdir %{_datadir}/%{name}-%{version}/log|' $Q/test/test1.conf.bak > $Q/test/test1.conf.old
sed 's|dbhome '$P/test'|dbhome %{_datadir}/%{name}-%{version}/test|' $Q/test/test1.conf.old > $Q/test/test1.conf
sed 's|logdir '$P/test'|logdir %{_datadir}/%{name}-%{version}/log|' $Q/test/test2.conf.bak > $Q/test/test2.conf.old
sed 's|dbhome '$P/test'|dbhome %{_datadir}/%{name}-%{version}/test|' $Q/test/test2.conf.old > $Q/test/test2.conf

rm -rf $Q/test/test*.conf.*

touch $Q/log/%{name}.log
touch $Q/log/%{name}.error

%post
echo "Modify the following line in the /etc/squid/squid.conf file:"
echo "redirect_program /usr/bin/squidGuard -c /usr/share/squidGuard-1.1.4/samples/sample.conf"

%postun
rm -rf %{_datadir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ANNOUNCE GPL COPYING doc/*.{html,gif,txt}
%{_datadir}/%{name}-%{version}/log/%{name}.log
%{_datadir}/%{name}-%{version}/log/%{name}.error
%{_bindir}/*
%{_datadir}/%{name}-%{version}/contrib/*
%{_datadir}/%{name}-%{version}/samples/*
%{_datadir}/%{name}-%{version}/test/*
%{_datadir}/%{name}-%{version}/db/dest/adult/*

%changelog
* Thu Nov 23 2000 Florin <florin@mandrakesoft.com> 1.1.4-6mdk
- added urls (Lenny compliant ;)

* Thu Nov 23 2000 Florin <florin@mandrakesoft.com> 1.1.4-5mdk
- requires squid
- buildrequires BerkeleyDB

* Tue Nov 21 2000 Florin <florin@mandrakesoft.com> 1.1.4-4mdk
- requires BerkeleyDB package, the new db2-2.7.7 package
- comment the postun section

* Mon Sep 18 2000 Florin <florin@mandrakesoft.com> 1.1.4-3mdk
- set up a ready to use out of the box config

* Fri Sep 15 2000 Florin <florin@mandrakesoft.com> 1.1.4-2mdk
- added the test configuration and the Makefile
- modifying the config files

* Fri Sep 15 2000 Florin <florin@mandrakesoft.com> 1.1.4-1mdk
- first attempt
